package com.sa.ibiz.demo.demo.service;

import com.sa.ibiz.demo.demo.domain.UserRoleDataDetail;
import com.sa.ibiz.demo.demo.service.dto.UserRoleDataDetailSearchFilter;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.core.metadata.IPage;
import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import java.util.Map;

/**
 * 实体[UserRoleDataDetail] 服务对象接口
 */
public interface UserRoleDataDetailService extends IService<UserRoleDataDetail>{

	boolean checkKey(UserRoleDataDetail et);
	boolean update(UserRoleDataDetail et);
	boolean getDraft(UserRoleDataDetail et);
	boolean remove(UserRoleDataDetail et);
	boolean create(UserRoleDataDetail et);
		UserRoleDataDetail get(UserRoleDataDetail et);
    List<UserRoleDataDetail> listDefault(UserRoleDataDetailSearchFilter filter) ;
	Page<UserRoleDataDetail> searchDefault(UserRoleDataDetailSearchFilter filter);
	/**	 实体[UserRoleDataDetail] 自定义数据查询  	**/
	List<Map<String,Object>> selectRow(String sql);
 }